libvisio::VSDContentCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDContentCollector Class Reference

`#include <VSDContentCollector.h>`

Inheritance diagram for libvisio::VSDContentCollector:

## Public Member Functions
| VSDContentCollector (librevenge::RVNGDrawingInterface *painter, std::vector< std::map< unsigned, XForm > > &groupXFormsSequence, std::vector< std::map< unsigned, unsigned > > &groupMembershipsSequence, std::vector< std::list< unsigned > > &documentPageShapeOrders, VSDStyles &styles, VSDStencils &stencils)
void | collectDocumentTheme (const VSDXTheme *theme) override
void | collectEllipticalArcTo (unsigned id, unsigned level, double x3, double y3, double x2, double y2, double angle, double ecc) override
void | collectForeignData (unsigned level, const librevenge::RVNGBinaryData &binaryData) override
void | collectOLEList (unsigned id, unsigned level) override
void | collectOLEData (unsigned id, unsigned level, const librevenge::RVNGBinaryData &oleData) override
void | collectEllipse (unsigned id, unsigned level, double cx, double cy, double xleft, double yleft, double xtop, double ytop) override
void | collectLine (unsigned level, const boost::optional< double > &strokeWidth, const boost::optional< Colour > &c, const boost::optional< unsigned char > &linePattern, const boost::optional< unsigned char > &startMarker, const boost::optional< unsigned char > &endMarker, const boost::optional< unsigned char > &lineCap, const boost::optional< double > &rounding, const boost::optional< long > &qsLineColour, const boost::optional< long > &qsLineMatrix) override
void | collectFillAndShadow (unsigned level, const boost::optional< Colour > &colourFG, const boost::optional< Colour > &colourBG, const boost::optional< unsigned char > &fillPattern, const boost::optional< double > &fillFGTransparency, const boost::optional< double > &fillBGTransparency, const boost::optional< unsigned char > &shadowPattern, const boost::optional< Colour > &shfgc, const boost::optional< double > &shadowOffsetX, const boost::optional< double > &shadowOffsetY, const boost::optional< long > &qsFc, const boost::optional< long > &qsSc, const boost::optional< long > &qsLm) override
void | collectFillAndShadow (unsigned level, const boost::optional< Colour > &colourFG, const boost::optional< Colour > &colourBG, const boost::optional< unsigned char > &fillPattern, const boost::optional< double > &fillFGTransparency, const boost::optional< double > &fillBGTransparency, const boost::optional< unsigned char > &shadowPattern, const boost::optional< Colour > &shfgc) override
void | collectGeometry (unsigned id, unsigned level, bool noFill, bool noLine, bool noShow) override
void | collectMoveTo (unsigned id, unsigned level, double x, double y) override
void | collectLineTo (unsigned id, unsigned level, double x, double y) override
void | collectArcTo (unsigned id, unsigned level, double x2, double y2, double bow) override
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, unsigned char xType, unsigned char yType, unsigned degree, const std::vector< std::pair< double, double > > &ctrlPnts, const std::vector< double > &kntVec, const std::vector< double > &weights) override
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, unsigned dataID) override
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, const NURBSData &data) override
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, unsigned char xType, unsigned char yType, const std::vector< std::pair< double, double > > &points) override
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, unsigned dataID) override
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, const PolylineData &data) override
void | collectShapeData (unsigned id, unsigned level, unsigned char xType, unsigned char yType, unsigned degree, double lastKnot, std::vector< std::pair< double, double > > controlPoints, std::vector< double > knotVector, std::vector< double > weights) override
void | collectShapeData (unsigned id, unsigned level, unsigned char xType, unsigned char yType, std::vector< std::pair< double, double > > points) override
void | collectXFormData (unsigned level, const XForm &xform) override
void | collectTxtXForm (unsigned level, const XForm &txtxform) override
void | collectShapesOrder (unsigned id, unsigned level, const std::vector< unsigned > &shapeIds) override
void | collectForeignDataType (unsigned level, unsigned foreignType, unsigned foreignFormat, double offsetX, double offsetY, double width, double height) override
void | collectPageProps (unsigned id, unsigned level, double pageWidth, double pageHeight, double shadowOffsetX, double shadowOffsetY, double scale) override
void | collectPage (unsigned id, unsigned level, unsigned backgroundPageID, bool isBackgroundPage, const VSDName &pageName) override
void | collectShape (unsigned id, unsigned level, unsigned parent, unsigned masterPage, unsigned masterShape, unsigned lineStyle, unsigned fillStyle, unsigned textStyle) override
void | collectSplineStart (unsigned id, unsigned level, double x, double y, double secondKnot, double firstKnot, double lastKnot, unsigned degree) override
void | collectSplineKnot (unsigned id, unsigned level, double x, double y, double knot) override
void | collectSplineEnd () override
void | collectInfiniteLine (unsigned id, unsigned level, double x1, double y1, double x2, double y2) override
void | collectRelCubBezTo (unsigned id, unsigned level, double x, double y, double a, double b, double c, double d) override
void | collectRelEllipticalArcTo (unsigned id, unsigned level, double x, double y, double a, double b, double c, double d) override
void | collectRelLineTo (unsigned id, unsigned level, double x, double y) override
void | collectRelMoveTo (unsigned id, unsigned level, double x, double y) override
void | collectRelQuadBezTo (unsigned id, unsigned level, double x, double y, double a, double b) override
void | collectUnhandledChunk (unsigned id, unsigned level) override
void | collectText (unsigned level, const librevenge::RVNGBinaryData &textStream, TextFormat format) override
void | collectCharIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript, const boost::optional< double > &scaleWidth) override
void | collectDefaultCharStyle (unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript, const boost::optional< double > &scaleWidth) override
void | collectParaIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned char > &bullet, const boost::optional< VSDName > &bulletStr, const boost::optional< VSDName > &bulletFont, const boost::optional< double > &bulletFontSize, const boost::optional< double > &textPosAfterBullet, const boost::optional< unsigned > &flags) override
void | collectDefaultParaStyle (unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned char > &bullet, const boost::optional< VSDName > &bulletStr, const boost::optional< VSDName > &bulletFont, const boost::optional< double > &bulletFontSize, const boost::optional< double > &textPosAfterBullet, const boost::optional< unsigned > &flags) override
void | collectTextBlock (unsigned level, const boost::optional< double > &leftMargin, const boost::optional< double > &rightMargin, const boost::optional< double > &topMargin, const boost::optional< double > &bottomMargin, const boost::optional< unsigned char > &verticalAlign, const boost::optional< bool > &isBgFilled, const boost::optional< Colour > &bgColour, const boost::optional< double > &defaultTabStop, const boost::optional< unsigned char > &textDirection) override
void | collectNameList (unsigned id, unsigned level) override
void | collectName (unsigned id, unsigned level, const librevenge::RVNGBinaryData &name, TextFormat format) override
void | collectPageSheet (unsigned id, unsigned level) override
void | collectMisc (unsigned level, const VSDMisc &misc) override
void | collectLayer (unsigned id, unsigned level, const VSDLayer &layer) override
void | collectLayerMem (unsigned level, const VSDName &layerMem) override
void | collectTabsDataList (unsigned level, const std::map< unsigned, VSDTabSet > &tabSets) override
void | collectStyleSheet (unsigned id, unsigned level, unsigned parentLineStyle, unsigned parentFillStyle, unsigned parentTextStyle) override
void | collectLineStyle (unsigned level, const boost::optional< double > &strokeWidth, const boost::optional< Colour > &c, const boost::optional< unsigned char > &linePattern, const boost::optional< unsigned char > &startMarker, const boost::optional< unsigned char > &endMarker, const boost::optional< unsigned char > &lineCap, const boost::optional< double > &rounding, const boost::optional< long > &qsLineColour, const boost::optional< long > &qsLineMatrix) override
void | collectFillStyle (unsigned level, const boost::optional< Colour > &colourFG, const boost::optional< Colour > &colourBG, const boost::optional< unsigned char > &fillPattern, const boost::optional< double > &fillFGTransparency, const boost::optional< double > &fillBGTransparency, const boost::optional< unsigned char > &shadowPattern, const boost::optional< Colour > &shfgc, const boost::optional< double > &shadowOffsetX, const boost::optional< double > &shadowOffsetY, const boost::optional< long > &qsFillColour, const boost::optional< long > &qsShadowColour, const boost::optional< long > &qsFillMatrix) override
void | collectFillStyle (unsigned level, const boost::optional< Colour > &colourFG, const boost::optional< Colour > &colourBG, const boost::optional< unsigned char > &fillPattern, const boost::optional< double > &fillFGTransparency, const boost::optional< double > &fillBGTransparency, const boost::optional< unsigned char > &shadowPattern, const boost::optional< Colour > &shfgc) override
void | collectCharIXStyle (unsigned id, unsigned level, unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript, const boost::optional< double > &scaleWidth) override
void | collectParaIXStyle (unsigned id, unsigned level, unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned char > &bullet, const boost::optional< VSDName > &bulletStr, const boost::optional< VSDName > &bulletFont, const boost::optional< double > &bulletFontSize, const boost::optional< double > &textPosAfterBullet, const boost::optional< unsigned > &flags) override
void | collectTextBlockStyle (unsigned level, const boost::optional< double > &leftMargin, const boost::optional< double > &rightMargin, const boost::optional< double > &topMargin, const boost::optional< double > &bottomMargin, const boost::optional< unsigned char > &verticalAlign, const boost::optional< bool > &isBgFilled, const boost::optional< Colour > &bgColour, const boost::optional< double > &defaultTabStop, const boost::optional< unsigned char > &textDirection) override
void | collectMetaData (const librevenge::RVNGPropertyList &metaData) override
void | collectFieldList (unsigned id, unsigned level) override
void | collectTextField (unsigned id, unsigned level, int nameId, int formatStringId) override
void | collectNumericField (unsigned id, unsigned level, unsigned short format, double number, int formatStringId) override
void | startPage (unsigned pageId) override
void | endPage () override
void | endPages () override
Public Member Functions inherited from libvisio::VSDCollector
| VSDCollector ()
virtual | ~VSDCollector ()

## Private Member Functions
| VSDContentCollector (const VSDContentCollector &)
VSDContentCollector & | operator= (const VSDContentCollector &)
void | applyXForm (double &x, double &y, const XForm &xform)
void | transformPoint (double &x, double &y, XForm *txtxform=nullptr)
void | transformAngle (double &angle, XForm *txtxform=nullptr)
void | transformFlips (bool &flipX, bool &flipY)
double | _NURBSBasis (unsigned knot, unsigned degree, double point, const std::vector< double > &knotVector)
void | _flushShape ()
void | _flushCurrentPath (unsigned id)
void | _flushText ()
void | _flushCurrentForeignData ()
void | _flushCurrentPage ()
void | _handleLevelChange (unsigned level)
void | _handleForeignData (const librevenge::RVNGBinaryData &data)
void | _lineProperties (const VSDLineStyle &style, librevenge::RVNGPropertyList &styleProps)
void | _fillAndShadowProperties (const VSDFillStyle &style, librevenge::RVNGPropertyList &styleProps)
void | _applyLinePattern ()
const char * | _linePropertiesMarkerViewbox (unsigned marker)
const char * | _linePropertiesMarkerPath (unsigned marker)
double | _linePropertiesMarkerScale (unsigned marker)
void | appendCharacters (librevenge::RVNGString &text, const std::vector< unsigned char > &characters, TextFormat format)
void | appendCharacters (librevenge::RVNGString &text, const std::vector< unsigned char > &characters)
void | _convertDataToString (librevenge::RVNGString &result, const librevenge::RVNGBinaryData &data, TextFormat format)
bool | parseFormatId (const char *formatString, unsigned short &result)
void | _appendField (librevenge::RVNGString &text)
bool | _isUniform (const std::vector< double > &weights) const
void | _generatePolylineFromNURBS (unsigned degree, const std::vector< std::pair< double, double > > &controlPoints, const std::vector< double > &knotVector, const std::vector< double > &weights)
void | _generateBezierSegmentsFromNURBS (unsigned degree, const std::vector< std::pair< double, double > > &controlPoints, const std::vector< double > &knotVector)
void | _outputCubicBezierSegment (const std::vector< std::pair< double, double > > &points)
void | _outputQuadraticBezierSegment (const std::vector< std::pair< double, double > > &points)
void | _outputLinearBezierSegment (const std::vector< std::pair< double, double > > &points)
void | _appendVisibleAndPrintable (librevenge::RVNGPropertyList &propList)
void | _bulletFromParaFormat (VSDBullet &bullet, const VSDParaStyle &paraStyle)
void | _listLevelFromBullet (librevenge::RVNGPropertyList &propList, const VSDBullet &bullet)
void | _fillParagraphProperties (librevenge::RVNGPropertyList &propList, const VSDParaStyle &style)
void | _fillTabSet (librevenge::RVNGPropertyList &propList, const VSDTabSet &tabSet)
void | _fillCharProperties (librevenge::RVNGPropertyList &propList, const VSDCharStyle &style)
void | _convertToPath (const std::vector< librevenge::RVNGPropertyList > &segmentVector, librevenge::RVNGPropertyListVector &path, double rounding)

## Private Attributes
librevenge::RVNGDrawingInterface * | m_painter
bool | m_isPageStarted
double | m_pageWidth
double | m_pageHeight
double | m_shadowOffsetX
double | m_shadowOffsetY
double | m_scale
double | m_x
double | m_y
double | m_originalX
double | m_originalY
XForm | m_xform
std::unique_ptr< XForm > | m_txtxform
VSDMisc | m_misc
std::vector< librevenge::RVNGPropertyList > | m_currentFillGeometry
std::vector< librevenge::RVNGPropertyList > | m_currentLineGeometry
std::map< unsigned, XForm > * | m_groupXForms
librevenge::RVNGBinaryData | m_currentForeignData
librevenge::RVNGBinaryData | m_currentOLEData
librevenge::RVNGPropertyList | m_currentForeignProps
unsigned | m_currentShapeId
unsigned | m_foreignType
unsigned | m_foreignFormat
double | m_foreignOffsetX
double | m_foreignOffsetY
double | m_foreignWidth
double | m_foreignHeight
bool | m_noLine
bool | m_noFill
bool | m_noShow
std::map< unsigned short, VSDFont > | m_fonts
unsigned | m_currentLevel
bool | m_isShapeStarted
std::vector< std::map< unsigned, XForm > > & | m_groupXFormsSequence
std::vector< std::map< unsigned, unsigned > > & | m_groupMembershipsSequence
std::vector< std::map< unsigned, unsigned > >::iterator | m_groupMemberships
unsigned | m_currentPageNumber
VSDOutputElementList * | m_shapeOutputDrawing
VSDOutputElementList * | m_shapeOutputText
std::map< unsigned, VSDOutputElementList > | m_pageOutputDrawing
std::map< unsigned, VSDOutputElementList > | m_pageOutputText
std::vector< std::list< unsigned > > & | m_documentPageShapeOrders
std::vector< std::list< unsigned > >::iterator | m_pageShapeOrder
bool | m_isFirstGeometry
std::map< unsigned, NURBSData > | m_NURBSData
std::map< unsigned, PolylineData > | m_polylineData
libvisio::VSDName | m_currentText
std::map< unsigned, librevenge::RVNGString > | m_names
std::map< unsigned, librevenge::RVNGString > | m_stencilNames
std::vector< librevenge::RVNGString > | m_fields
VSDFieldList | m_stencilFields
unsigned | m_fieldIndex
std::vector< VSDCharStyle > | m_charFormats
std::vector< VSDParaStyle > | m_paraFormats
VSDLineStyle | m_lineStyle
VSDFillStyle | m_fillStyle
VSDTextBlockStyle | m_textBlockStyle
VSDCharStyle | m_defaultCharStyle
VSDParaStyle | m_defaultParaStyle
unsigned | m_currentStyleSheet
VSDStyles | m_styles
VSDStencils | m_stencils
const VSDShape * | m_stencilShape
bool | m_isStencilStarted
unsigned | m_currentGeometryCount
unsigned | m_backgroundPageID
unsigned | m_currentPageID
VSDPage | m_currentPage
VSDPages | m_pages
VSDLayerList | m_layerList
std::vector< std::pair< double, double > > | m_splineControlPoints
std::vector< double > | m_splineKnotVector
double | m_splineX
double | m_splineY
double | m_splineLastKnot
unsigned | m_splineDegree
unsigned | m_splineLevel
unsigned | m_currentShapeLevel
bool | m_isBackgroundPage
VSDLayerList | m_currentLayerList
std::vector< unsigned > | m_currentLayerMem
std::vector< VSDTabSet > | m_tabSets
const VSDXTheme * | m_documentTheme

## Constructor & Destructor Documentation

## ◆ VSDContentCollector() [1/2]

libvisio::VSDContentCollector::VSDContentCollector | ( | librevenge::RVNGDrawingInterface * | painter,
|  | std::vector< std::map< unsigned, XForm > > & | groupXFormsSequence,
|  | std::vector< std::map< unsigned, unsigned > > & | groupMembershipsSequence,
|  | std::vector< std::list< unsigned > > & | documentPageShapeOrders,
|  | VSDStyles & | styles,
|  | VSDStencils & | stencils
| ) |  |

## ◆ VSDContentCollector() [2/2]

libvisio::VSDContentCollector::VSDContentCollector | ( | const VSDContentCollector & |  | ) |
| private

## Member Function Documentation

## ◆ _appendField()

void libvisio::VSDContentCollector::_appendField | ( | librevenge::RVNGString & | text | ) |
| private

Referenced by _flushText().

## ◆ _appendVisibleAndPrintable()

void libvisio::VSDContentCollector::_appendVisibleAndPrintable | ( | librevenge::RVNGPropertyList & | propList | ) |
| private

Referenced by _flushCurrentForeignData(), _flushCurrentPath(), and _flushText().

## ◆ _applyLinePattern()

void libvisio::VSDContentCollector::_applyLinePattern | ( |  | ) |
| private

## ◆ _bulletFromParaFormat()

void libvisio::VSDContentCollector::_bulletFromParaFormat | ( | libvisio::VSDBullet & | bullet,
|  | const VSDParaStyle & | paraStyle
| ) |  |
| private

Referenced by _flushText().

## ◆ _convertDataToString()

void libvisio::VSDContentCollector::_convertDataToString | ( | librevenge::RVNGString & | result,
|  | const librevenge::RVNGBinaryData & | data,
|  | TextFormat | format
| ) |  |
| private

Referenced by _bulletFromParaFormat(), _fillCharProperties(), collectName(), collectPage(), and collectShape().

## ◆ _convertToPath()

void libvisio::VSDContentCollector::_convertToPath | ( | const std::vector< librevenge::RVNGPropertyList > & | segmentVector,
|  | librevenge::RVNGPropertyListVector & | path,
|  | double | rounding
| ) |  |
| private

Referenced by _flushCurrentPath().

## ◆ _fillAndShadowProperties()

void libvisio::VSDContentCollector::_fillAndShadowProperties | ( | const VSDFillStyle & | style,
|  | librevenge::RVNGPropertyList & | styleProps
| ) |  |
| private

Referenced by _flushCurrentPath().

## ◆ _fillCharProperties()

void libvisio::VSDContentCollector::_fillCharProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | const VSDCharStyle & | style
| ) |  |
| private

Referenced by _flushText().

## ◆ _fillParagraphProperties()

void libvisio::VSDContentCollector::_fillParagraphProperties | ( | librevenge::RVNGPropertyList & | propList,
|  | const VSDParaStyle & | style
| ) |  |
| private

Referenced by _flushText().

## ◆ _fillTabSet()

void libvisio::VSDContentCollector::_fillTabSet | ( | librevenge::RVNGPropertyList & | propList,
|  | const VSDTabSet & | tabSet
| ) |  |
| private

Referenced by _flushText().

## ◆ _flushCurrentForeignData()

void libvisio::VSDContentCollector::_flushCurrentForeignData | ( |  | ) |
| private

Referenced by _flushShape().

## ◆ _flushCurrentPage()

void libvisio::VSDContentCollector::_flushCurrentPage | ( |  | ) |
| private

Referenced by endPage().

## ◆ _flushCurrentPath()

void libvisio::VSDContentCollector::_flushCurrentPath | ( | unsigned | id | ) |
| private

Referenced by _flushShape().

## ◆ _flushShape()

void libvisio::VSDContentCollector::_flushShape | ( |  | ) |
| private

Referenced by _handleLevelChange(), and startPage().

## ◆ _flushText()

void libvisio::VSDContentCollector::_flushText | ( |  | ) |
| private

Referenced by _flushShape().

## ◆ _generateBezierSegmentsFromNURBS()

void libvisio::VSDContentCollector::_generateBezierSegmentsFromNURBS | ( | unsigned | degree,
|  | const std::vector< std::pair< double, double > > & | controlPoints,
|  | const std::vector< double > & | knotVector
| ) |  |
| private

Referenced by collectNURBSTo().

## ◆ _generatePolylineFromNURBS()

void libvisio::VSDContentCollector::_generatePolylineFromNURBS | ( | unsigned | degree,
|  | const std::vector< std::pair< double, double > > & | controlPoints,
|  | const std::vector< double > & | knotVector,
|  | const std::vector< double > & | weights
| ) |  |
| private

Referenced by collectNURBSTo().

## ◆ _handleForeignData()

void libvisio::VSDContentCollector::_handleForeignData | ( | const librevenge::RVNGBinaryData & | data | ) |
| private

Referenced by collectForeignData(), collectOLEList(), and collectShape().

## ◆ _handleLevelChange()

void libvisio::VSDContentCollector::_handleLevelChange | ( | unsigned | level | ) |
| private

Referenced by collectArcTo(), collectCharIX(), collectEllipse(), collectEllipticalArcTo(), collectFieldList(), collectFillAndShadow(), collectForeignData(), collectForeignDataType(), collectGeometry(), collectInfiniteLine(), collectLayer(), collectLayerMem(), collectLine(), collectLineTo(), collectMisc(), collectMoveTo(), collectName(), collectNameList(), collectNumericField(), collectNURBSTo(), collectOLEData(), collectOLEList(), collectPage(), collectPageProps(), collectPageSheet(), collectParaIX(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), collectShape(), collectShapeData(), collectShapesOrder(), collectStyleSheet(), collectTabsDataList(), collectText(), collectTextBlock(), collectTextField(), collectTxtXForm(), collectUnhandledChunk(), collectXFormData(), and endPage().

## ◆ _isUniform()

bool libvisio::VSDContentCollector::_isUniform | ( | const std::vector< double > & | weights | ) | const
| private

Referenced by collectNURBSTo().

## ◆ _lineProperties()

void libvisio::VSDContentCollector::_lineProperties | ( | const VSDLineStyle & | style,
|  | librevenge::RVNGPropertyList & | styleProps
| ) |  |
| private

Referenced by _flushCurrentPath().

## ◆ _linePropertiesMarkerPath()

const char * libvisio::VSDContentCollector::_linePropertiesMarkerPath | ( | unsigned | marker | ) |
| private

Referenced by _lineProperties().

## ◆ _linePropertiesMarkerScale()

double libvisio::VSDContentCollector::_linePropertiesMarkerScale | ( | unsigned | marker | ) |
| private

Referenced by _lineProperties().

## ◆ _linePropertiesMarkerViewbox()

const char * libvisio::VSDContentCollector::_linePropertiesMarkerViewbox | ( | unsigned | marker | ) |
| private

Referenced by _lineProperties().

## ◆ _listLevelFromBullet()

void libvisio::VSDContentCollector::_listLevelFromBullet | ( | librevenge::RVNGPropertyList & | propList,
|  | const VSDBullet & | bullet
| ) |  |
| private

Referenced by _flushText().

## ◆ _NURBSBasis()

double libvisio::VSDContentCollector::_NURBSBasis | ( | unsigned | knot,
|  | unsigned | degree,
|  | double | point,
|  | const std::vector< double > & | knotVector
| ) |  |
| private

Referenced by _generatePolylineFromNURBS().

## ◆ _outputCubicBezierSegment()

void libvisio::VSDContentCollector::_outputCubicBezierSegment | ( | const std::vector< std::pair< double, double > > & | points | ) |
| private

Referenced by _generateBezierSegmentsFromNURBS().

## ◆ _outputLinearBezierSegment()

void libvisio::VSDContentCollector::_outputLinearBezierSegment | ( | const std::vector< std::pair< double, double > > & | points | ) |
| private

Referenced by _generateBezierSegmentsFromNURBS().

## ◆ _outputQuadraticBezierSegment()

void libvisio::VSDContentCollector::_outputQuadraticBezierSegment | ( | const std::vector< std::pair< double, double > > & | points | ) |
| private

Referenced by _generateBezierSegmentsFromNURBS().

## ◆ appendCharacters() [1/2]

void libvisio::VSDContentCollector::appendCharacters | ( | librevenge::RVNGString & | text,
|  | const std::vector< unsigned char > & | characters,
|  | TextFormat | format
| ) |  |
| private

Referenced by _convertDataToString(), _flushText(), and collectLayerMem().

## ◆ appendCharacters() [2/2]

void libvisio::VSDContentCollector::appendCharacters | ( | librevenge::RVNGString & | text,
|  | const std::vector< unsigned char > & | characters
| ) |  |
| private

## ◆ applyXForm()

void libvisio::VSDContentCollector::applyXForm | ( | double & | x,
|  | double & | y,
|  | const XForm & | xform
| ) |  |
| private

Referenced by transformPoint().

## ◆ collectArcTo()

void libvisio::VSDContentCollector::collectArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | bow
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectCharIX()

void libvisio::VSDContentCollector::collectCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript,
|  | const boost::optional< double > & | scaleWidth
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectCharIXStyle()

void libvisio::VSDContentCollector::collectCharIXStyle | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript,
|  | const boost::optional< double > & | scaleWidth
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectDefaultCharStyle()

void libvisio::VSDContentCollector::collectDefaultCharStyle | ( | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript,
|  | const boost::optional< double > & | scaleWidth
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectDefaultParaStyle()

void libvisio::VSDContentCollector::collectDefaultParaStyle | ( | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned char > & | bullet,
|  | const boost::optional< VSDName > & | bulletStr,
|  | const boost::optional< VSDName > & | bulletFont,
|  | const boost::optional< double > & | bulletFontSize,
|  | const boost::optional< double > & | textPosAfterBullet,
|  | const boost::optional< unsigned > & | flags
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectDocumentTheme()

void libvisio::VSDContentCollector::collectDocumentTheme | ( | const VSDXTheme * | theme | ) |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectEllipse()

void libvisio::VSDContentCollector::collectEllipse | ( | unsigned | id,
|  | unsigned | level,
|  | double | cx,
|  | double | cy,
|  | double | xleft,
|  | double | yleft,
|  | double | xtop,
|  | double | ytop
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectEllipticalArcTo()

void libvisio::VSDContentCollector::collectEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x3,
|  | double | y3,
|  | double | x2,
|  | double | y2,
|  | double | angle,
|  | double | ecc
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

Referenced by collectRelEllipticalArcTo().

## ◆ collectFieldList()

void libvisio::VSDContentCollector::collectFieldList | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectFillAndShadow() [1/2]

void libvisio::VSDContentCollector::collectFillAndShadow | ( | unsigned | level,
|  | const boost::optional< Colour > & | colourFG,
|  | const boost::optional< Colour > & | colourBG,
|  | const boost::optional< unsigned char > & | fillPattern,
|  | const boost::optional< double > & | fillFGTransparency,
|  | const boost::optional< double > & | fillBGTransparency,
|  | const boost::optional< unsigned char > & | shadowPattern,
|  | const boost::optional< Colour > & | shfgc,
|  | const boost::optional< double > & | shadowOffsetX,
|  | const boost::optional< double > & | shadowOffsetY,
|  | const boost::optional< long > & | qsFc,
|  | const boost::optional< long > & | qsSc,
|  | const boost::optional< long > & | qsLm
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

Referenced by collectFillAndShadow().

## ◆ collectFillAndShadow() [2/2]

void libvisio::VSDContentCollector::collectFillAndShadow | ( | unsigned | level,
|  | const boost::optional< Colour > & | colourFG,
|  | const boost::optional< Colour > & | colourBG,
|  | const boost::optional< unsigned char > & | fillPattern,
|  | const boost::optional< double > & | fillFGTransparency,
|  | const boost::optional< double > & | fillBGTransparency,
|  | const boost::optional< unsigned char > & | shadowPattern,
|  | const boost::optional< Colour > & | shfgc
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectFillStyle() [1/2]

void libvisio::VSDContentCollector::collectFillStyle | ( | unsigned | level,
|  | const boost::optional< Colour > & | colourFG,
|  | const boost::optional< Colour > & | colourBG,
|  | const boost::optional< unsigned char > & | fillPattern,
|  | const boost::optional< double > & | fillFGTransparency,
|  | const boost::optional< double > & | fillBGTransparency,
|  | const boost::optional< unsigned char > & | shadowPattern,
|  | const boost::optional< Colour > & | shfgc,
|  | const boost::optional< double > & | shadowOffsetX,
|  | const boost::optional< double > & | shadowOffsetY,
|  | const boost::optional< long > & | qsFillColour,
|  | const boost::optional< long > & | qsShadowColour,
|  | const boost::optional< long > & | qsFillMatrix
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

Referenced by collectFillStyle().

## ◆ collectFillStyle() [2/2]

void libvisio::VSDContentCollector::collectFillStyle | ( | unsigned | level,
|  | const boost::optional< Colour > & | colourFG,
|  | const boost::optional< Colour > & | colourBG,
|  | const boost::optional< unsigned char > & | fillPattern,
|  | const boost::optional< double > & | fillFGTransparency,
|  | const boost::optional< double > & | fillBGTransparency,
|  | const boost::optional< unsigned char > & | shadowPattern,
|  | const boost::optional< Colour > & | shfgc
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectForeignData()

void libvisio::VSDContentCollector::collectForeignData | ( | unsigned | level,
|  | const librevenge::RVNGBinaryData & | binaryData
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectForeignDataType()

void libvisio::VSDContentCollector::collectForeignDataType | ( | unsigned | level,
|  | unsigned | foreignType,
|  | unsigned | foreignFormat,
|  | double | offsetX,
|  | double | offsetY,
|  | double | width,
|  | double | height
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectGeometry()

void libvisio::VSDContentCollector::collectGeometry | ( | unsigned | id,
|  | unsigned | level,
|  | bool | noFill,
|  | bool | noLine,
|  | bool | noShow
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectInfiniteLine()

void libvisio::VSDContentCollector::collectInfiniteLine | ( | unsigned | id,
|  | unsigned | level,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectLayer()

void libvisio::VSDContentCollector::collectLayer | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDLayer & | layer
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectLayerMem()

void libvisio::VSDContentCollector::collectLayerMem | ( | unsigned | level,
|  | const VSDName & | layerMem
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectLine()

void libvisio::VSDContentCollector::collectLine | ( | unsigned | level,
|  | const boost::optional< double > & | strokeWidth,
|  | const boost::optional< Colour > & | c,
|  | const boost::optional< unsigned char > & | linePattern,
|  | const boost::optional< unsigned char > & | startMarker,
|  | const boost::optional< unsigned char > & | endMarker,
|  | const boost::optional< unsigned char > & | lineCap,
|  | const boost::optional< double > & | rounding,
|  | const boost::optional< long > & | qsLineColour,
|  | const boost::optional< long > & | qsLineMatrix
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectLineStyle()

void libvisio::VSDContentCollector::collectLineStyle | ( | unsigned | level,
|  | const boost::optional< double > & | strokeWidth,
|  | const boost::optional< Colour > & | c,
|  | const boost::optional< unsigned char > & | linePattern,
|  | const boost::optional< unsigned char > & | startMarker,
|  | const boost::optional< unsigned char > & | endMarker,
|  | const boost::optional< unsigned char > & | lineCap,
|  | const boost::optional< double > & | rounding,
|  | const boost::optional< long > & | qsLineColour,
|  | const boost::optional< long > & | qsLineMatrix
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectLineTo()

void libvisio::VSDContentCollector::collectLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

Referenced by collectRelLineTo().

## ◆ collectMetaData()

void libvisio::VSDContentCollector::collectMetaData | ( | const librevenge::RVNGPropertyList & | metaData | ) |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectMisc()

void libvisio::VSDContentCollector::collectMisc | ( | unsigned | level,
|  | const VSDMisc & | misc
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectMoveTo()

void libvisio::VSDContentCollector::collectMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

Referenced by collectRelMoveTo().

## ◆ collectName()

void libvisio::VSDContentCollector::collectName | ( | unsigned | id,
|  | unsigned | level,
|  | const librevenge::RVNGBinaryData & | name,
|  | TextFormat | format
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectNameList()

void libvisio::VSDContentCollector::collectNameList | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectNumericField()

void libvisio::VSDContentCollector::collectNumericField | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned short | format,
|  | double | number,
|  | int | formatStringId
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectNURBSTo() [1/3]

void libvisio::VSDContentCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | const std::vector< std::pair< double, double > > & | ctrlPnts,
|  | const std::vector< double > & | kntVec,
|  | const std::vector< double > & | weights
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

Referenced by collectNURBSTo(), and collectSplineEnd().

## ◆ collectNURBSTo() [2/3]

void libvisio::VSDContentCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | unsigned | dataID
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectNURBSTo() [3/3]

void libvisio::VSDContentCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | const NURBSData & | data
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectOLEData()

void libvisio::VSDContentCollector::collectOLEData | ( | unsigned | id,
|  | unsigned | level,
|  | const librevenge::RVNGBinaryData & | oleData
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectOLEList()

void libvisio::VSDContentCollector::collectOLEList | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectPage()

void libvisio::VSDContentCollector::collectPage | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | backgroundPageID,
|  | bool | isBackgroundPage,
|  | const VSDName & | pageName
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectPageProps()

void libvisio::VSDContentCollector::collectPageProps | ( | unsigned | id,
|  | unsigned | level,
|  | double | pageWidth,
|  | double | pageHeight,
|  | double | shadowOffsetX,
|  | double | shadowOffsetY,
|  | double | scale
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectPageSheet()

void libvisio::VSDContentCollector::collectPageSheet | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectParaIX()

void libvisio::VSDContentCollector::collectParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned char > & | bullet,
|  | const boost::optional< VSDName > & | bulletStr,
|  | const boost::optional< VSDName > & | bulletFont,
|  | const boost::optional< double > & | bulletFontSize,
|  | const boost::optional< double > & | textPosAfterBullet,
|  | const boost::optional< unsigned > & | flags
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectParaIXStyle()

void libvisio::VSDContentCollector::collectParaIXStyle | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned char > & | bullet,
|  | const boost::optional< VSDName > & | bulletStr,
|  | const boost::optional< VSDName > & | bulletFont,
|  | const boost::optional< double > & | bulletFontSize,
|  | const boost::optional< double > & | textPosAfterBullet,
|  | const boost::optional< unsigned > & | flags
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectPolylineTo() [1/3]

void libvisio::VSDContentCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | const std::vector< std::pair< double, double > > & | points
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

Referenced by collectPolylineTo().

## ◆ collectPolylineTo() [2/3]

void libvisio::VSDContentCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned | dataID
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectPolylineTo() [3/3]

void libvisio::VSDContentCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | const PolylineData & | data
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectRelCubBezTo()

void libvisio::VSDContentCollector::collectRelCubBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectRelEllipticalArcTo()

void libvisio::VSDContentCollector::collectRelEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectRelLineTo()

void libvisio::VSDContentCollector::collectRelLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectRelMoveTo()

void libvisio::VSDContentCollector::collectRelMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectRelQuadBezTo()

void libvisio::VSDContentCollector::collectRelQuadBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectShape()

void libvisio::VSDContentCollector::collectShape | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | parent,
|  | unsigned | masterPage,
|  | unsigned | masterShape,
|  | unsigned | lineStyle,
|  | unsigned | fillStyle,
|  | unsigned | textStyle
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectShapeData() [1/2]

void libvisio::VSDContentCollector::collectShapeData | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | double | lastKnot,
|  | std::vector< std::pair< double, double > > | controlPoints,
|  | std::vector< double > | knotVector,
|  | std::vector< double > | weights
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectShapeData() [2/2]

void libvisio::VSDContentCollector::collectShapeData | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | std::vector< std::pair< double, double > > | points
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectShapesOrder()

void libvisio::VSDContentCollector::collectShapesOrder | ( | unsigned | id,
|  | unsigned | level,
|  | const std::vector< unsigned > & | shapeIds
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectSplineEnd()

void libvisio::VSDContentCollector::collectSplineEnd | ( |  | ) |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectSplineKnot()

void libvisio::VSDContentCollector::collectSplineKnot | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | knot
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectSplineStart()

void libvisio::VSDContentCollector::collectSplineStart | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | secondKnot,
|  | double | firstKnot,
|  | double | lastKnot,
|  | unsigned | degree
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectStyleSheet()

void libvisio::VSDContentCollector::collectStyleSheet | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | parentLineStyle,
|  | unsigned | parentFillStyle,
|  | unsigned | parentTextStyle
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectTabsDataList()

void libvisio::VSDContentCollector::collectTabsDataList | ( | unsigned | level,
|  | const std::map< unsigned, VSDTabSet > & | tabSets
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectText()

void libvisio::VSDContentCollector::collectText | ( | unsigned | level,
|  | const librevenge::RVNGBinaryData & | textStream,
|  | TextFormat | format
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectTextBlock()

void libvisio::VSDContentCollector::collectTextBlock | ( | unsigned | level,
|  | const boost::optional< double > & | leftMargin,
|  | const boost::optional< double > & | rightMargin,
|  | const boost::optional< double > & | topMargin,
|  | const boost::optional< double > & | bottomMargin,
|  | const boost::optional< unsigned char > & | verticalAlign,
|  | const boost::optional< bool > & | isBgFilled,
|  | const boost::optional< Colour > & | bgColour,
|  | const boost::optional< double > & | defaultTabStop,
|  | const boost::optional< unsigned char > & | textDirection
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectTextBlockStyle()

void libvisio::VSDContentCollector::collectTextBlockStyle | ( | unsigned | level,
|  | const boost::optional< double > & | leftMargin,
|  | const boost::optional< double > & | rightMargin,
|  | const boost::optional< double > & | topMargin,
|  | const boost::optional< double > & | bottomMargin,
|  | const boost::optional< unsigned char > & | verticalAlign,
|  | const boost::optional< bool > & | isBgFilled,
|  | const boost::optional< Colour > & | bgColour,
|  | const boost::optional< double > & | defaultTabStop,
|  | const boost::optional< unsigned char > & | textDirection
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectTextField()

void libvisio::VSDContentCollector::collectTextField | ( | unsigned | id,
|  | unsigned | level,
|  | int | nameId,
|  | int | formatStringId
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectTxtXForm()

void libvisio::VSDContentCollector::collectTxtXForm | ( | unsigned | level,
|  | const XForm & | txtxform
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectUnhandledChunk()

void libvisio::VSDContentCollector::collectUnhandledChunk | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ collectXFormData()

void libvisio::VSDContentCollector::collectXFormData | ( | unsigned | level,
|  | const XForm & | xform
| ) |  |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ endPage()

void libvisio::VSDContentCollector::endPage | ( |  | ) |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ endPages()

void libvisio::VSDContentCollector::endPages | ( |  | ) |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ operator=()

VSDContentCollector& libvisio::VSDContentCollector::operator= | ( | const VSDContentCollector & |  | ) |
| private

## ◆ parseFormatId()

bool libvisio::VSDContentCollector::parseFormatId | ( | const char * | formatString,
|  | unsigned short & | result
| ) |  |
| private

Referenced by collectNumericField().

## ◆ startPage()

void libvisio::VSDContentCollector::startPage | ( | unsigned | pageId | ) |
| overridevirtual

Implements libvisio::VSDCollector.

## ◆ transformAngle()

void libvisio::VSDContentCollector::transformAngle | ( | double & | angle,
|  | XForm * | txtxform = `nullptr`
| ) |  |
| private

Referenced by _flushCurrentForeignData(), _flushText(), collectArcTo(), collectEllipse(), and collectEllipticalArcTo().

## ◆ transformFlips()

void libvisio::VSDContentCollector::transformFlips | ( | bool & | flipX,
|  | bool & | flipY
| ) |  |
| private

Referenced by _flushCurrentForeignData(), _flushText(), and collectArcTo().

## ◆ transformPoint()

void libvisio::VSDContentCollector::transformPoint | ( | double & | x,
|  | double & | y,
|  | XForm * | txtxform = `nullptr`
| ) |  |
| private

Referenced by _flushCurrentForeignData(), _flushText(), _generatePolylineFromNURBS(), _outputCubicBezierSegment(), _outputLinearBezierSegment(), _outputQuadraticBezierSegment(), collectArcTo(), collectEllipse(), collectEllipticalArcTo(), collectInfiniteLine(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), and transformAngle().

## Member Data Documentation

## ◆ m_backgroundPageID

unsigned libvisio::VSDContentCollector::m_backgroundPageID
| private

## ◆ m_charFormats

std::vector<VSDCharStyle> libvisio::VSDContentCollector::m_charFormats
| private

Referenced by _flushText(), collectCharIX(), and collectShape().

## ◆ m_currentFillGeometry

std::vector<librevenge::RVNGPropertyList> libvisio::VSDContentCollector::m_currentFillGeometry
| private

Referenced by _flushCurrentPath(), _flushShape(), _generatePolylineFromNURBS(), _handleLevelChange(), _outputCubicBezierSegment(), _outputLinearBezierSegment(), _outputQuadraticBezierSegment(), collectArcTo(), collectEllipse(), collectEllipticalArcTo(), collectInfiniteLine(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), and collectRelQuadBezTo().

## ◆ m_currentForeignData

librevenge::RVNGBinaryData libvisio::VSDContentCollector::m_currentForeignData
| private

Referenced by _flushCurrentForeignData(), _flushShape(), _handleForeignData(), collectOLEData(), collectOLEList(), and collectShape().

## ◆ m_currentForeignProps

librevenge::RVNGPropertyList libvisio::VSDContentCollector::m_currentForeignProps
| private

Referenced by _flushCurrentForeignData(), _flushShape(), and _handleForeignData().

## ◆ m_currentGeometryCount

unsigned libvisio::VSDContentCollector::m_currentGeometryCount
| private

Referenced by collectGeometry(), collectNURBSTo(), collectPolylineTo(), and collectShape().

## ◆ m_currentLayerList

VSDLayerList libvisio::VSDContentCollector::m_currentLayerList
| private

Referenced by _appendVisibleAndPrintable(), _fillCharProperties(), _lineProperties(), collectLayer(), and collectPageSheet().

## ◆ m_currentLayerMem

std::vector<unsigned> libvisio::VSDContentCollector::m_currentLayerMem
| private

Referenced by _appendVisibleAndPrintable(), _fillCharProperties(), _lineProperties(), and collectLayerMem().

## ◆ m_currentLevel

unsigned libvisio::VSDContentCollector::m_currentLevel
| private

Referenced by _handleLevelChange().

## ◆ m_currentLineGeometry

std::vector<librevenge::RVNGPropertyList> libvisio::VSDContentCollector::m_currentLineGeometry
| private

Referenced by _flushCurrentPath(), _flushShape(), _generatePolylineFromNURBS(), _handleLevelChange(), _outputCubicBezierSegment(), _outputLinearBezierSegment(), _outputQuadraticBezierSegment(), collectArcTo(), collectEllipse(), collectEllipticalArcTo(), collectInfiniteLine(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), and collectRelQuadBezTo().

## ◆ m_currentOLEData

librevenge::RVNGBinaryData libvisio::VSDContentCollector::m_currentOLEData
| private

## ◆ m_currentPage

VSDPage libvisio::VSDContentCollector::m_currentPage
| private

Referenced by _flushCurrentPage(), collectPage(), collectPageProps(), endPage(), and startPage().

## ◆ m_currentPageID

unsigned libvisio::VSDContentCollector::m_currentPageID
| private

## ◆ m_currentPageNumber

unsigned libvisio::VSDContentCollector::m_currentPageNumber
| private

Referenced by startPage().

## ◆ m_currentShapeId

unsigned libvisio::VSDContentCollector::m_currentShapeId
| private

Referenced by _flushShape(), collectShape(), transformAngle(), transformFlips(), and transformPoint().

## ◆ m_currentShapeLevel

unsigned libvisio::VSDContentCollector::m_currentShapeLevel
| private

Referenced by _handleLevelChange(), collectPageSheet(), collectShape(), and collectStyleSheet().

## ◆ m_currentStyleSheet

unsigned libvisio::VSDContentCollector::m_currentStyleSheet
| private

Referenced by collectCharIXStyle(), collectFillStyle(), collectLineStyle(), collectParaIXStyle(), collectStyleSheet(), and collectTextBlockStyle().

## ◆ m_currentText

libvisio::VSDName libvisio::VSDContentCollector::m_currentText
| private

Referenced by _flushShape(), _flushText(), collectShape(), and collectText().

## ◆ m_defaultCharStyle

VSDCharStyle libvisio::VSDContentCollector::m_defaultCharStyle
| private

Referenced by _flushText(), collectCharIX(), collectDefaultCharStyle(), and collectShape().

## ◆ m_defaultParaStyle

VSDParaStyle libvisio::VSDContentCollector::m_defaultParaStyle
| private

Referenced by _flushText(), collectDefaultParaStyle(), collectParaIX(), and collectShape().

## ◆ m_documentPageShapeOrders

std::vector<std::list<unsigned> >& libvisio::VSDContentCollector::m_documentPageShapeOrders
| private

Referenced by _flushCurrentPage(), and startPage().

## ◆ m_documentTheme

const VSDXTheme* libvisio::VSDContentCollector::m_documentTheme
| private

Referenced by collectCharIX(), collectDefaultCharStyle(), collectDefaultParaStyle(), collectDocumentTheme(), collectFillAndShadow(), collectLine(), collectParaIX(), collectShape(), and collectTextBlock().

## ◆ m_fieldIndex

unsigned libvisio::VSDContentCollector::m_fieldIndex
| private

Referenced by _appendField(), and collectShape().

## ◆ m_fields

std::vector<librevenge::RVNGString> libvisio::VSDContentCollector::m_fields
| private

Referenced by _appendField(), collectFieldList(), collectNumericField(), collectShape(), and collectTextField().

## ◆ m_fillStyle

VSDFillStyle libvisio::VSDContentCollector::m_fillStyle
| private

Referenced by _flushCurrentPath(), _flushShape(), collectFillAndShadow(), and collectShape().

## ◆ m_fonts

std::map<unsigned short, VSDFont> libvisio::VSDContentCollector::m_fonts
| private

## ◆ m_foreignFormat

unsigned libvisio::VSDContentCollector::m_foreignFormat
| private

Referenced by _handleForeignData(), collectForeignDataType(), and collectShape().

## ◆ m_foreignHeight

double libvisio::VSDContentCollector::m_foreignHeight
| private

Referenced by _flushCurrentForeignData(), _flushShape(), collectForeignDataType(), and collectShape().

## ◆ m_foreignOffsetX

double libvisio::VSDContentCollector::m_foreignOffsetX
| private

Referenced by _flushCurrentForeignData(), collectForeignDataType(), and collectShape().

## ◆ m_foreignOffsetY

double libvisio::VSDContentCollector::m_foreignOffsetY
| private

Referenced by _flushCurrentForeignData(), collectForeignDataType(), and collectShape().

## ◆ m_foreignType

unsigned libvisio::VSDContentCollector::m_foreignType
| private

Referenced by _handleForeignData(), collectForeignDataType(), and collectShape().

## ◆ m_foreignWidth

double libvisio::VSDContentCollector::m_foreignWidth
| private

Referenced by _flushCurrentForeignData(), _flushShape(), collectForeignDataType(), and collectShape().

## ◆ m_groupMemberships

std::vector<std::map<unsigned, unsigned> >::iterator libvisio::VSDContentCollector::m_groupMemberships
| private

Referenced by _flushCurrentPage(), startPage(), transformFlips(), and transformPoint().

## ◆ m_groupMembershipsSequence

std::vector<std::map<unsigned, unsigned> >& libvisio::VSDContentCollector::m_groupMembershipsSequence
| private

Referenced by _flushCurrentPage(), startPage(), transformFlips(), and transformPoint().

## ◆ m_groupXForms

std::map<unsigned, XForm>* libvisio::VSDContentCollector::m_groupXForms
| private

Referenced by startPage(), transformFlips(), and transformPoint().

## ◆ m_groupXFormsSequence

std::vector<std::map<unsigned, XForm> >& libvisio::VSDContentCollector::m_groupXFormsSequence
| private

Referenced by startPage().

## ◆ m_isBackgroundPage

bool libvisio::VSDContentCollector::m_isBackgroundPage
| private

Referenced by collectPage(), and endPage().

## ◆ m_isFirstGeometry

bool libvisio::VSDContentCollector::m_isFirstGeometry
| private

Referenced by collectShape().

## ◆ m_isPageStarted

bool libvisio::VSDContentCollector::m_isPageStarted
| private

Referenced by endPage(), and startPage().

## ◆ m_isShapeStarted

bool libvisio::VSDContentCollector::m_isShapeStarted
| private

Referenced by _flushShape(), _handleLevelChange(), collectShape(), startPage(), transformAngle(), transformFlips(), and transformPoint().

## ◆ m_isStencilStarted

bool libvisio::VSDContentCollector::m_isStencilStarted
| private

Referenced by _handleLevelChange().

## ◆ m_layerList

VSDLayerList libvisio::VSDContentCollector::m_layerList
| private

## ◆ m_lineStyle

VSDLineStyle libvisio::VSDContentCollector::m_lineStyle
| private

Referenced by _flushCurrentPath(), _flushShape(), collectLine(), and collectShape().

## ◆ m_misc

VSDMisc libvisio::VSDContentCollector::m_misc
| private

Referenced by _flushText(), collectMisc(), and collectShape().

## ◆ m_names

std::map<unsigned, librevenge::RVNGString> libvisio::VSDContentCollector::m_names
| private

Referenced by collectName(), collectNameList(), collectNumericField(), collectShape(), and collectTextField().

## ◆ m_noFill

bool libvisio::VSDContentCollector::m_noFill
| private

Referenced by _generatePolylineFromNURBS(), _outputCubicBezierSegment(), _outputLinearBezierSegment(), _outputQuadraticBezierSegment(), collectArcTo(), collectEllipse(), collectEllipticalArcTo(), collectGeometry(), collectInfiniteLine(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), and collectShape().

## ◆ m_noLine

bool libvisio::VSDContentCollector::m_noLine
| private

Referenced by _generatePolylineFromNURBS(), _outputCubicBezierSegment(), _outputLinearBezierSegment(), _outputQuadraticBezierSegment(), collectArcTo(), collectEllipse(), collectEllipticalArcTo(), collectGeometry(), collectInfiniteLine(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), and collectShape().

## ◆ m_noShow

bool libvisio::VSDContentCollector::m_noShow
| private

Referenced by _generatePolylineFromNURBS(), _handleLevelChange(), _outputCubicBezierSegment(), _outputLinearBezierSegment(), _outputQuadraticBezierSegment(), collectArcTo(), collectEllipse(), collectEllipticalArcTo(), collectGeometry(), collectInfiniteLine(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), and collectShape().

## ◆ m_NURBSData

std::map<unsigned, NURBSData> libvisio::VSDContentCollector::m_NURBSData
| private

Referenced by _handleLevelChange(), collectNURBSTo(), and collectShapeData().

## ◆ m_originalX

double libvisio::VSDContentCollector::m_originalX
| private

Referenced by _handleLevelChange(), collectArcTo(), collectEllipticalArcTo(), collectGeometry(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), collectShape(), and startPage().

## ◆ m_originalY

double libvisio::VSDContentCollector::m_originalY
| private

Referenced by _handleLevelChange(), collectArcTo(), collectEllipticalArcTo(), collectGeometry(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), collectShape(), and startPage().

## ◆ m_pageHeight

double libvisio::VSDContentCollector::m_pageHeight
| private

Referenced by collectInfiniteLine(), collectPageProps(), and transformPoint().

## ◆ m_pageOutputDrawing

std::map<unsigned, VSDOutputElementList> libvisio::VSDContentCollector::m_pageOutputDrawing
| private

Referenced by _flushCurrentPage(), and collectShape().

## ◆ m_pageOutputText

std::map<unsigned, VSDOutputElementList> libvisio::VSDContentCollector::m_pageOutputText
| private

Referenced by _flushCurrentPage(), and collectShape().

## ◆ m_pages

VSDPages libvisio::VSDContentCollector::m_pages
| private

Referenced by collectMetaData(), endPage(), and endPages().

## ◆ m_pageShapeOrder

std::vector<std::list<unsigned> >::iterator libvisio::VSDContentCollector::m_pageShapeOrder
| private

Referenced by _flushCurrentPage(), and startPage().

## ◆ m_pageWidth

double libvisio::VSDContentCollector::m_pageWidth
| private

Referenced by collectInfiniteLine(), and collectPageProps().

## ◆ m_painter

librevenge::RVNGDrawingInterface* libvisio::VSDContentCollector::m_painter
| private

Referenced by endPages().

## ◆ m_paraFormats

std::vector<VSDParaStyle> libvisio::VSDContentCollector::m_paraFormats
| private

Referenced by _flushText(), collectParaIX(), and collectShape().

## ◆ m_polylineData

std::map<unsigned, PolylineData> libvisio::VSDContentCollector::m_polylineData
| private

Referenced by _handleLevelChange(), collectPolylineTo(), and collectShapeData().

## ◆ m_scale

double libvisio::VSDContentCollector::m_scale
| private

Referenced by _flushCurrentForeignData(), _flushCurrentPath(), _flushText(), _generatePolylineFromNURBS(), _lineProperties(), _outputCubicBezierSegment(), _outputLinearBezierSegment(), _outputQuadraticBezierSegment(), collectArcTo(), collectEllipse(), collectEllipticalArcTo(), collectInfiniteLine(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPageProps(), collectPolylineTo(), collectRelCubBezTo(), and collectRelQuadBezTo().

## ◆ m_shadowOffsetX

double libvisio::VSDContentCollector::m_shadowOffsetX
| private

Referenced by _fillAndShadowProperties(), collectFillAndShadow(), collectFillStyle(), and collectPageProps().

## ◆ m_shadowOffsetY

double libvisio::VSDContentCollector::m_shadowOffsetY
| private

Referenced by _fillAndShadowProperties(), collectFillAndShadow(), collectFillStyle(), and collectPageProps().

## ◆ m_shapeOutputDrawing

VSDOutputElementList* libvisio::VSDContentCollector::m_shapeOutputDrawing
| private

Referenced by _flushCurrentForeignData(), _flushCurrentPath(), _flushShape(), and collectShape().

## ◆ m_shapeOutputText

VSDOutputElementList * libvisio::VSDContentCollector::m_shapeOutputText
| private

Referenced by _flushShape(), _flushText(), and collectShape().

## ◆ m_splineControlPoints

std::vector<std::pair<double, double> > libvisio::VSDContentCollector::m_splineControlPoints
| private

Referenced by collectSplineEnd(), and collectSplineKnot().

## ◆ m_splineDegree

unsigned libvisio::VSDContentCollector::m_splineDegree
| private

Referenced by collectSplineEnd(), and collectSplineStart().

## ◆ m_splineKnotVector

std::vector<double> libvisio::VSDContentCollector::m_splineKnotVector
| private

Referenced by collectSplineEnd(), collectSplineKnot(), and collectSplineStart().

## ◆ m_splineLastKnot

double libvisio::VSDContentCollector::m_splineLastKnot
| private

Referenced by collectSplineEnd(), and collectSplineStart().

## ◆ m_splineLevel

unsigned libvisio::VSDContentCollector::m_splineLevel
| private

Referenced by collectSplineEnd(), and collectSplineStart().

## ◆ m_splineX

double libvisio::VSDContentCollector::m_splineX
| private

Referenced by collectSplineEnd(), collectSplineKnot(), and collectSplineStart().

## ◆ m_splineY

double libvisio::VSDContentCollector::m_splineY
| private

Referenced by collectSplineEnd(), collectSplineKnot(), and collectSplineStart().

## ◆ m_stencilFields

VSDFieldList libvisio::VSDContentCollector::m_stencilFields
| private

Referenced by collectNumericField(), collectShape(), and collectTextField().

## ◆ m_stencilNames

std::map<unsigned, librevenge::RVNGString> libvisio::VSDContentCollector::m_stencilNames
| private

Referenced by collectShape(), and collectTextField().

## ◆ m_stencils

VSDStencils libvisio::VSDContentCollector::m_stencils
| private

Referenced by collectShape().

## ◆ m_stencilShape

const VSDShape* libvisio::VSDContentCollector::m_stencilShape
| private

Referenced by _handleLevelChange(), collectNURBSTo(), collectPolylineTo(), and collectShape().

## ◆ m_styles

VSDStyles libvisio::VSDContentCollector::m_styles
| private

Referenced by collectCharIXStyle(), collectFillStyle(), collectLineStyle(), collectParaIXStyle(), collectShape(), collectStyleSheet(), and collectTextBlockStyle().

## ◆ m_tabSets

std::vector<VSDTabSet> libvisio::VSDContentCollector::m_tabSets
| private

Referenced by _flushText(), and collectTabsDataList().

## ◆ m_textBlockStyle

VSDTextBlockStyle libvisio::VSDContentCollector::m_textBlockStyle
| private

Referenced by _flushText(), collectShape(), and collectTextBlock().

## ◆ m_txtxform

std::unique_ptr<XForm> libvisio::VSDContentCollector::m_txtxform
| private

Referenced by _flushText(), _handleLevelChange(), collectShape(), collectTxtXForm(), and startPage().

## ◆ m_x

double libvisio::VSDContentCollector::m_x
| private

Referenced by _handleLevelChange(), collectArcTo(), collectEllipticalArcTo(), collectGeometry(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), collectShape(), and startPage().

## ◆ m_xform

XForm libvisio::VSDContentCollector::m_xform
| private

Referenced by _flushText(), _handleLevelChange(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelEllipticalArcTo(), collectRelLineTo(), collectRelMoveTo(), collectRelQuadBezTo(), collectXFormData(), startPage(), and transformAngle().

## ◆ m_y

double libvisio::VSDContentCollector::m_y
| private

Referenced by _handleLevelChange(), collectArcTo(), collectEllipticalArcTo(), collectGeometry(), collectLineTo(), collectMoveTo(), collectNURBSTo(), collectPolylineTo(), collectRelCubBezTo(), collectRelQuadBezTo(), collectShape(), and startPage().

The documentation for this class was generated from the following files:

- VSDContentCollector.h
- VSDContentCollector.cpp